<mat-drawer-container>
    <mat-drawer #drawer [mode]="mobileQuery.matches ? 'over' : 'side'" [opened]="!mobileQuery.matches">
        <app-left-side></app-left-side>
    </mat-drawer>
    <ng-container>
        <app-header (onMenuPressed)="drawer.toggle()"></app-header>
    </ng-container>
    <div class="content">
        <ng-content></ng-content>
    </div>
</mat-drawer-container>